<TeXmacs|2.1.2>

<style|<tuple|beamer|vdh|wide-spacing|shadowed-frames|shadowed-titles|std-frame|dark-vador|framed-theorems|old-lengths>>

<\body>
  <\hide-preamble>
    <assign|font|mathlarge=TeX Gyre Pagella,Fira>

    <assign|rsC|<macro|<with|font|cal*|C>>>

    <assign|rsT|<macro|<with|font|cal*|T>>>

    <assign|marked|<macro|body|<tabular*|<tformat|<cwith|1|1|1|1|cell-background|dark
    grey>|<cwith|1|1|1|1|cell-bsep|0.25spc>|<cwith|1|1|1|1|cell-tsep|0.25spc>|<cwith|1|1|1|1|cell-lsep|1spc>|<cwith|1|1|1|1|cell-rsep|1spc>|<table|<row|<cell|<arg|body>>>>>>>>

    <assign|compressed|<\macro|body>
      <\surround||<right-flush>>
        <\with|par-par-sep|<times|0.4|<value|par-par-sep>>>
          <arg|body>
        </with>
      </surround>
    </macro>>

    <assign|ball|<macro|x|<superpose|<image|boule.png|1cm|||>|<tabular*|<tformat|<cwith|1|1|1|1|cell-valign|c>|<twith|table-width|1cm>|<twith|table-hmode|exact>|<twith|table-height|1cm>|<twith|table-vmode|exact>|<twith|table-valign|b>|<table|<row|<cell|<with|color|#fa6|<arg|x>>>>>>>>>>

    <assign|render-specified-algorithm|<\macro|name|intro|body>
      <\padded*>
        <\with|par-first|0fn|par-par-sep|0.3em|item-hsep|<macro|1tab>|numbered-offset|<value|algorithm-numbered-offset>>
          <\surround||<vspace|0.5fn>>
            <algorithm-name|<arg|name>>

            <arg|intro>
          </surround>

          <\surround||<yes-indent*>>
            <\algorithm-indent>
              <arg|body>
            </algorithm-indent>
          </surround>
        </with>
      </padded*>
    </macro>>
  </hide-preamble>

  <screens|<\shown>
    <\with|par-mode|center>
      <tabular*|<tformat|<cwith|1|2|1|1|cell-bsep|2.5spc>|<cwith|4|4|1|1|cell-halign|r>|<cwith|4|4|1|1|cell-hyphen|t>|<cwith|3|3|1|1|cell-tsep|3spc>|<cwith|1|1|1|1|cell-bsep|2spc>|<cwith|1|1|1|1|cell-tsep|4spc>|<cwith|2|2|1|1|cell-tsep|4spc>|<table|<row|<cell|<very-large|<strong|<with|color|orange|Complexity
      and energy efficiency<tiny-switch|<shown|>|<hidden|, among
      others>>>>>>>|<row|<cell| <normal-size|<tabular*|<tformat|<twith|table-valign|T>|<table|<row|<cell|<space|2em><strong|Joris
      van der Hoeven><space|2em>>>>>>>>>|<row|<cell|<image|Download-TeXmacs.png|0.4par|||>>>|<row|<\cell>
        <small|<strong|LIX, Palaiseau>><space|26em><small|<strong|December 7,
        2023>>
      </cell>>>>>
    </with>
  </shown>|<\hidden>
    \;

    \;

    <\wide-tabular>
      <tformat|<cwith|1|1|1|1|cell-halign|c>|<table|<row|<\cell>
        <with|frame-recolor|brown|frame-vpadding|1tab|frame-hpadding|1tab|<\black-floral1-frame>
          <tabular*|<tformat|<table|<row|<cell|<huge|<with|color|#fa6|Part
          I>>>>|<row|<cell|>>|<row|<cell|<with|color|#ffa|<large|Energy
          efficiency \V which solutions> ?>>>>>>
        </black-floral1-frame>>
      </cell>>>>
    </wide-tabular>
  </hidden>|<\hidden>
    <tit|Digression \V lessons from ecology>

    <\wide-tabular>
      <tformat|<cwith|1|1|1|-1|cell-halign|c>|<table|<row|<\cell>
        <image|jancovici.jpg||9cm||>
      </cell>|<\cell>
        <image|monde-sans-fin.jpg||9cm||>
      </cell>>>>
    </wide-tabular>
  </hidden>|<\hidden>
    <tit|<smash|20<rsup|th>> Century Man & favorite drink>

    <\wide-tabular>
      <tformat|<cwith|1|1|1|-1|cell-halign|c>|<table|<row|<\cell>
        <image|ironman-1.jpeg||10cm||>
      </cell>|<\cell>
        <image|ironman-2.jpeg||10cm||>
      </cell>>>>
    </wide-tabular>
  </hidden>|<\hidden>
    <tit|Energy is <strong|RIDICULOUSLY> cheap>

    <switch|<\shown>
      <htab|5mm><draw-over|<image|eq-slave.jpeg||10cm||>|<with|gr-mode|<tuple|edit|text-at>|gr-color|pastel
      orange|<graphics|<with|color|pastel orange|<text-at|600
      legs|<point|-4.28566703873662|-0.0623506552565216>>>|<with|color|pastel
      orange|<text-at|1<space|0.4spc>000<space|0.4spc>000
      legs|<point|2.74140311711935|-2.15695564099384>>>|<with|color|pastel
      orange|<text-at|10<space|0.4spc>000
      arms|<point|2.73389557236761|-0.0473355657530282>>>|<with|color|pastel
      orange|<text-at|4<space|0.4spc>000 legs|<point|2.77143329612634|-1.14344536772913>>>>>|5cm><space|4em><htab|5mm>
    </shown>|<\hidden>
      Percentage of household money spent on energy

      <image|cost-energy.jpeg|0.8par|||>
    </hidden>>
  </hidden>|<\hidden>
    <tit|Kaya's equation>

    \;

    <unroll|<\shown>
      <strong|Goal:> divide CO<rsub|2> by 3 before 2050 (to contain
      temperature growth to 2<rsup|o> C)
    </shown>|<\hidden*>
      <\equation*>
        CO<rsub|2>=<frac|CO<rsub|2>|GEC>\<times\><frac|GEC|GDP>\<times\><frac|GDP|POP>\<times\>POP
      </equation*>

      <\compact>
        <\itemize>
          <item>CO<rsub|2>: emission of CO<rsub|2>

          <item>GEC : global energy consumption

          <item>GDP : global gross domestic product

          <item>POP : world population
        </itemize>
      </compact>
    </hidden*>>

    <switch|<\shown>
      \;
    </shown>|<\hidden>
      POP \<rightarrow\> <math|\<times\>1.3><phantom|<dfrac|X|X>><htab|5mm>(unless
      objections by the audience)
    </hidden>|<\hidden>
      POP \<rightarrow\> <math|\<times\>1.3><space|2em><math|<dfrac|GDP|POP>>
      \<rightarrow\> <math|\<times\>2.2><htab|5mm>(or renounce retirement
      benefits)
    </hidden>|<\hidden>
      POP \<rightarrow\> <math|\<times\>1.3><space|2em><math|<dfrac|GDP|POP>>
      \<rightarrow\> <math|\<times\>2.2><space|2em><math|<dfrac|GEC|GDP>>
      \<rightarrow\> <math|\<times\>0.7><htab|5mm>(last 40 years)
    </hidden>|<\hidden>
      POP \<rightarrow\> <math|\<times\>1.3><space|2em><math|<dfrac|GDP|POP>>
      \<rightarrow\> <math|\<times\>2.2><space|2em><math|<dfrac|GEC|GDP>>
      \<rightarrow\> <math|\<times\>0.7><space|2em><math|<dfrac|CO<rsub|2>|GEC>>
      \<rightarrow\> <math|\<times\>0.9><htab|5mm>(last 30 years)
    </hidden>>
  </hidden>|<\hidden>
    <tit|Hence?>

    \;

    <unroll|<\shown>
      <htab|5mm><with|color|#fa6|Negative growth will be
      inevitable><vspace|0.5fn><htab|5mm>
    </shown>|<\hidden*>
      Three main ways to act:
    </hidden*>|<\hidden*>
      <\itemize>
        <unroll|<\shown>
          <item>Improve energy efficiency<space|1em><math|\<longrightarrow\>><space|1em>technological
          problem
        </shown>|<\hidden*>
          <item>Organize \Penergy sobriety\Q<space|1em><math|\<longrightarrow\>><space|1em>chosen
          reduction of consumption
        </hidden*>|<\hidden*>
          <item>Make energy too expensive<space|1em><math|\<longrightarrow\>><space|1em>suffered
          reduction of consumption
        </hidden*>>
      </itemize>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|<smash|21<rsup|th>> Century Man>

    <htab|5mm><image|Pr-X.png|0.35par|||><htab|5mm>
  </hidden>|<\hidden>
    <tit|Energy footprint of the ICT sector>

    <htab|5mm><image|ict-share.png|0.55par|||><htab|5mm>
  </hidden>|<\hidden>
    <tit|Energy footprint ICT \V total mix>

    <\wide-tabular>
      <tformat|<cwith|2|2|1|-1|cell-halign|c>|<cwith|2|2|1|-1|cell-valign|c>|<cwith|1|1|1|-1|cell-halign|c>|<table|<row|<\cell>
        2017
      </cell>|<\cell>
        2019
      </cell>>|<row|<\cell>
        <tabular|<tformat|<cwith|1|1|1|1|cell-background|white>|<table|<row|<cell|<image|energy-consumption-2017.png||8cm||>>>>>>
      </cell>|<\cell>
        <image|energy-consumption-2019.png||8cm||>
      </cell>>>>
    </wide-tabular>
  </hidden>|<\hidden>
    <tit|Energy footprint ICT \V manufacturing>

    \S The reality is that the energy requirements of semiconductor and
    nano-material manufacturing processes can be 5-6 orders of magnitude
    greater than the traditional manufacturing processes used to build, say,
    an automobile. To manufacture a kilogram of state-of-art integrated
    circuits requires tens of thousands of megajoules [49], in contrast with
    no more than 10 megajoules for conventional manufacturing [46]. The scope
    of manufacturing is here Raw Material Acquisition, Production of Parts,
    Assembly of the Devices and Distribution to Use. These life cycle phases
    are defined by the ETSI LCA standard for ICT [50]. \T

    <hlink|Corcoran\UAndrae|https://www.researchgate.net/profile/Anders-Andrae/publication/255923829_Emerging_Trends_in_Electricity_Consumption_for_Consumer_ICT/links/00b7d520df6b552e5f000000/Emerging-Trends-in-Electricity-Consumption-for-Consumer-ICT.pdf>

    \;
  </hidden>|<\hidden>
    <tit|Energy footprint of various devices in kg CO<rsub|2>>

    \;

    <htab|5mm><block*|<tformat|<cwith|1|-1|1|-1|cell-lsep|2spc>|<cwith|1|-1|1|-1|cell-rsep|2spc>|<cwith|1|-1|1|-1|cell-bsep|2spc>|<cwith|1|-1|1|-1|cell-tsep|2spc>|<cwith|1|-1|1|1|cell-halign|l>|<table|<row|<cell|>|<cell|Smartphone>|<cell|Tablet>|<cell|<hlink|Laptop|https://github.com/rarecoil/laptop-co2e>>>|<row|<cell|Manufacturing>|<cell|50\U85
    kg>|<cell|70\U120 kg>|<cell|135\U300 kg>>|<row|<cell|Typical use /
    year>|<cell|5<rsup|wifi>\U50<rsup|G4> kg>|<cell|5\U50 kg>|<cell|10\U30
    kg>>>>><htab|5mm>

    \;

    <htab|5mm><tabular|<tformat|<table|<row|<cell|Airplane>|<cell|<space|1em>>|<cell|0.115
    kg / person km>>|<row|<cell|Cheeseburger>|<cell|>|<cell|4.35
    kg>>>>><htab|5mm>

    \;
  </hidden>|<\hidden>
    <tit|Energy footprint ICT \V online video>

    <\wide-tabular>
      <tformat|<cwith|1|1|1|-1|cell-halign|c>|<table|<row|<\cell>
        <image|video-usage.png||10cm||>
      </cell>|<\cell>
        <image|video-caption.png||10cm||>
      </cell>>>>
    </wide-tabular>
  </hidden>|<\hidden>
    <tit|A typical computational task>

    <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|1par|0.447815par|center>|gr-color|#fa6|gr-fill-color|black|<graphics||<text-at|<image|Pipi-Langkous.png|0.3par|||>|<point|-4.84392776822331|-3.39034594523085>>|<with|color|dark
    grey|<text-at|<rotate|-110|<image|smartphone3.png|0.1par|||>>|<point|3.29431803148565|-1.33575869824051>>>|<with|color|#fa6|<math-at|<rotate|-20|<large|3\<times\>3=<with|color|red|<outline|?>>>>|<point|4.561648366186|-3.06249173171054>>>>>

    \;
  </hidden>|<\hidden>
    <tit|Cost breakdown>

    \;

    <htab|5mm><tabular|<tformat|<cwith|1|1|1|-1|cell-bsep|2spc>|<cwith|2|-1|1|-1|cell-tsep|1spc>|<table|<row|<cell|Manufacturing>|<cell|<space|1em>>|<cell|Usage>>|<row|<cell|Phone>|<cell|>|<cell|App
    + graphical interface>>|<row|<cell|Network>|<cell|>|<cell|G4
    transmission>>|<row|<cell|Data center>|<cell|>|<cell|Virtual machine
    overhead>>|<row|<cell|>|<cell|>|<cell|Python
    interpreter>>|<row|<cell|>|<cell|>|<cell|Multiplication
    algorithm>>|<row|<cell|>|<cell|>|<cell|Hardware operations>>>>><htab|5mm>

    <strong|Note:> none of the documents I consulted mention the
    <em|conception costs>, <abbr|e.g.> of phones, network devices, CPUs, fast
    algorithms, education, etc.
  </hidden>|<\hidden>
    <tit|Modeling the cost>

    <\overlays-phantoms|1|4>
      <\eqnarray*>
        <tformat|<cwith|2|-1|1|-1|cell-tsep|3spc>|<table|<row|<cell|C<around*|(|N|)>>|<cell|=>|<cell|C<rsub|Phone><around*|(|N|)>+C<rsub|Network><around*|(|N|)>+C<rsub|DataCenter><around*|(|N|)>>>|<row|<cell|<overlay-from|2|C<rsub|Phone><around*|(|N|)>|>>|<cell|<overlay-from|2|=|>>|<cell|<overlay-from|2|P<rsub|Phone>\<times\><frac|Secs|Op>\<times\>Ops<rsub|Phone><around*|(|N|)>|>>>|<row|<cell|<overlay-from|3|P<rsub|Phone>|>>|<cell|<overlay-from|3|=|>>|<cell|<overlay-from|3|P<rsub|Phone,Usage>+<wide|<frac|E<rsub|Phone,Manufacture>|T<rsub|Phone,ServeTime>>+<frac|E<rsub|Phone,Conception>|T<rsub|Phone,ServeTime>*Nr<rsub|Phones>>|\<wide-overbrace\>><rsup|<move|<with|math-level|0|P<rsub|Phone,Virtual>>||0.8ex>>|>>>|<row|<cell|<overlay-from|4|Ops<rsub|Phone><around*|(|N|)>|>>|<cell|<overlay-from|4|=|>>|<cell|<overlay-from|4|Ops<rsub|GUI,Idle>+Ops<rsub|GUI,IO>\<times\>N|>>>>>
      </eqnarray*>
    </overlays-phantoms>
  </hidden>|<\hidden>
    <tit|Modeling the cost>

    <\overlays-phantoms|1|4>
      <\eqnarray*>
        <tformat|<table|<row|<cell|C<around*|(|N|)>>|<cell|=>|<cell|C<rsub|Phone><around*|(|N|)>+C<rsub|Network><around*|(|N|)>+C<rsub|DataCenter><around*|(|N|)>>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|<overlay-from|2|C<rsub|Network>|>>|<cell|<overlay-from|2|=|>>|<cell|<overlay-from|2|P<rsub|Network>\<times\><frac|Secs<rsub|Transmit>|Byte>\<times\>N|>>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|<overlay-from|3|C<rsub|DataCenter>|>>|<cell|<overlay-from|3|=|>>|<cell|<overlay-from|3|P<rsub|DataCenter>\<times\>\<Omega\><rsub|VM>\<times\>\<Omega\><rsub|Python>\<times\>\<Omega\><rsub|CPU>\<times\><frac|Secs|Op>\<times\>Ops<around*|(|N|)>|>>>>>
      </eqnarray*>

      <\equation*>
        <overlay-from|4|c<rsub|1>*N*log N\<leqslant\>Ops<around*|(|N|)>\<leqslant\>c<rsub|2>*N<rsup|2>|>
      </equation*>
    </overlays-phantoms>
  </hidden>|<\hidden>
    <tit|Overhead of various layers>

    \;

    <unroll|<\shown>
      <\overlays-phantoms|1|3>
        <\equation*>
          <tabular*|<tformat|<cwith|1|-1|1|1|cell-halign|r>|<cwith|1|-1|5|5|cell-halign|l>|<table|<row|<cell|1>|<cell|\<leqslant\>>|<cell|\<Omega\><rsub|VM>>|<cell|\<leqslant\>>|<cell|<hlink|5|https://shatteredsilicon.net/virtual-performance-or-lack-thereof/>>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|<overlay-from|2|1|>>|<cell|<overlay-from|2|\<leqslant\>|>>|<cell|<overlay-from|2|\<Omega\><rsub|Python>|>>|<cell|<overlay-from|2|\<leqslant\>|>>|<cell|<overlay-from|2|30|>>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|<overlay-from|3|1|>>|<cell|<overlay-from|3|\<leqslant\>|>>|<cell|<overlay-from|3|\<Omega\><rsub|CPU>|>>|<cell|<overlay-from|3|\<leqslant\>|>>|<cell|<overlay-from|3|16|>>>>>>
        </equation*>
      </overlays-phantoms>
    </shown>|<\hidden*>
      \;

      <dfrac|Secs|Ops> : time for \Ptypical\Q CPU instruction, full SIMD
      width

      <stack|<tformat|<cwith|1|-1|3|3|cell-halign|l>|<table|<row|<cell|<math|\<Omega\><rsub|CPU>>>|<cell|:>|<cell|overhead
      with respect to using the \Pright\Q CPU
      instruction>>|<row|<cell|>|<cell|>|<cell|and/or with respect to correct
      hardware implementation>>>>>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Example: energy efficiency of SIMD>

    \;

    <htab|5mm><image|simd-energy.png||9.5cm||><htab|5mm>
  </hidden>|<\hidden>
    <tit|Example: rounding modes for multiply>

    <with|gr-mode|<tuple|edit|text-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.47gh>>|gr-geometry|<tuple|geometry|1par|0.426084par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|1|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|10|#e0e0ff>>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>>|gr-fill-color|#fa6|gr-text-at-halign|center|gr-text-at-valign|center|<graphics||<with|color|white|<line|<point|-10.0|3.0>|<point|-10.0|-3.0>|<point|-4.0|-3.0>|<point|-4.0|3.0>|<point|-10.0|3.0>>>|<with|color|white|<line|<point|-3|3>|<point|-3.0|-3.0>|<point|3.0|-3.0>|<point|3.0|3.0>|<point|-3.0|3.0>>>|<with|color|white|<line|<point|4|3>|<point|4.0|-3.0>|<point|10.0|-3.0>|<point|10.0|3.0>|<point|4.0|3.0>>>|<with|color|white|fill-color|#fa6|<cline|<point|-10|3>|<point|-10.0|-3.0>|<point|-4.0|-3.0>|<point|-4.0|3.0>>>|<with|color|white|fill-color|#fa6|<cline|<point|4|3>|<point|4.0|-3.0>|<point|10.0|-3.0>>>|<with|color|white|text-at-valign|center|text-at-halign|right|<math-at|52|<point|-10.262470929516|0.0>>>|<with|color|white|text-at-halign|center|<math-at|6|<point|-2.5105|3.23634>>>|<with|color|white|fill-color|#fa6|<cline|<point|-2.29903022630213|3.0>|<point|-3.0|3.0>|<point|-3.0|-3.0>|<point|3.0|-3.0>|<point|3.0|-2.23507285461058>>>|<with|color|white|text-at-halign|center|<text-at|Correct|<point|-7|-4>>>|<with|color|white|text-at-halign|center|<text-at|Faithful|<point|0|-4>>>|<with|color|white|text-at-halign|center|<text-at|Statistical|<point|7|-4>>>|<with|text-at-valign|center|text-at-halign|center|<text-at|<with|color|black|2704>|<point|-7|0>>>|<with|text-at-valign|center|text-at-halign|center|<text-at|<with|color|black|1378>|<point|5.83795806323588|-1.25320809630904>>>|<with|text-at-valign|center|text-at-halign|center|<text-at|<with|color|black|1669>|<point|-0.648630771266041|-0.78773647307845>>>>>
  </hidden>|<\hidden>
    <tit|Performance over time>

    <\wide-tabular>
      <tformat|<cwith|2|2|1|-1|cell-valign|t>|<cwith|2|2|1|-1|cell-halign|c>|<cwith|1|1|1|-1|cell-halign|c>|<table|<row|<\cell>
        General computing
      </cell>|<\cell>
        Supercomputing
      </cell>>|<row|<\cell>
        <image|cpu-1.png||9cm||>
      </cell>|<\cell>
        <image|cpu-2.png||8cm||>
      </cell>>>>
    </wide-tabular>

    \;
  </hidden>|<\hidden>
    <tit|Compute power <strong|VERY RIDICULOUSLY> cheap>

    \;

    <unroll|<\shown>
      <\equation*>
        \<Omega\><rsub|VM>\<times\>\<Omega\><rsub|Python>\<times\>\<Omega\><rsub|CPU>\<leqslant\>2400\<ll\>10<rsup|6>
      </equation*>
    </shown>|<\hidden*>
      <\itemize>
        <unroll|<\shown>
          <item>Market incentive: favor cheap development cost over energy
          efficiency
        </shown>|<\hidden*>
          <item>May introduce new layers at seemingly negligible cost
        </hidden*>|<\hidden*>
          <item>Lack of incentive to lower overheads
        </hidden*>|<\hidden*>
          <item>Not enough students learn how computers work (SIMD, GPU,
          cache, <text-dots>)
        </hidden*>|<\hidden*>
          Science fiction has become real: why not quantum
          computing<text-dots>?
        </hidden*>>
      </itemize>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Integer multiplication>

    <\wide-tabular>
      <tformat|<cwith|1|1|1|1|cell-halign|c>|<table|<row|<\cell>
        <draw-over|<image|mult-energy.png||10cm||>|<gr-overlays|1|3|<with|gr-color|magenta|gr-line-width|2ln|gr-mode|<tuple|group-edit|edit-props>|<graphics|<with|color|red|proviso|<show-from|2>|<text-at|1MHz
        / 8bits|<point|-2.56906858489396|1.67712596634834>>>|<with|color|magenta|proviso|<show-from|3>|<text-at|<small|Acorn
        Archimedes>|<point|0.936954814171731|1.87233039811485>>>|<with|color|magenta|proviso|<show-from|3>|<text-at|<small|8MHz
        / 32bits / 1Mb>|<point|0.906924635164744|1.52697507131341>>>|<with|color|red|proviso|<show-from|2>|line-width|2ln|<line|<point|-0.361850427880442|2.40536607548886>|<point|-0.361850427880442|-1.94150233577246>>>|<with|color|magenta|line-width|2ln|proviso|<show-from|3>|<line|<point|0.816834098143784|2.39035098598537>|<point|0.839356732399024|-1.92648724626897>>>|<with|color|magenta|proviso|<show-from|3>|<text-at|<small|1988>|<point|0.936954814171731|2.17263218818471>>>|<with|color|red|proviso|<show-from|2>|<text-at|C<space|-0.6spc>=
        64 / 1983|<point|-2.45645541361776|2.12007937492249>>>>>>|2cm>
      </cell>>>>
    </wide-tabular>
  </hidden>|<\hidden>
    <tit|Faster algorithms>

    \;

    <unroll|<\shown>
      <htab|5mm><very-large|<with|color|gold|faster = more energy
      efficient<vspace|0.5fn>>><htab|5mm>
    </shown>|<\hidden*>
      <\itemize>
        <unroll|<\shown>
          <item>Asymptotically fast algorithms more and more interesting with
          time
        </shown>|<\hidden*>
          <item>Important to value their design <strong|and> implementation
          <strong|and> teaching
        </hidden*>|<\hidden*>
          <item>Privilege free implementations <math|\<rightarrow\>>
          transparent, reproducible, <text-dots>
        </hidden*>|<\hidden*>
          <item>Computer mathematics nice playground

          <\compressed>
            <\itemize-minus>
              <item>Non-trivial theoretical & practical problems

              <item>Require special programming techniques (HPC, languages,
              <text-dots>)
            </itemize-minus>
          </compressed>
        </hidden*>>
      </itemize>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Energy efficiency>

    \;

    <unroll|<\shown>
      <htab|5mm><large|<with|color|gold|Efficiency = <dfrac|<text|Cost
      optimal solution>|<text|Cost actual solution>>>><htab|5mm>
    </shown>|<\hidden*>
      <tabular|<tformat|<table|<row|<cell|<strong|<math|3\<times\>3>
      example.><space|1em>>|<cell|Optimal solution:
      <math|\<approx\>1*nJ>>>|<row|<cell|>|<cell|Actual solution:
      <math|\<approx\>10*<math-ss|J>>>>|<row|<cell|>|<cell|Efficiency:
      <math|10<rsup|-10>>>>>>>
    </hidden*>|<\hidden*>
      <tabular|<tformat|<table|<row|<cell|<strong|<math|10<rsup|9>> digit
      numbers.<space|1em>>>|<cell|Fast solution:
      <math|\<approx\>1000\<times\>10<rsup|8>\<times\>1*nJ><space|1em>>>|<row|<cell|>|<cell|Naive
      solution: <math|\<approx\>2400\<times\>10<rsup|16>\<times\>1*nJ><space|1em>>>|<row|<cell|>|<cell|Efficiency:
      <math|\<approx\>4.17\<times\>10<rsup|-9>>>>>>>
    </hidden*>>

    \;
  </hidden>|<\hidden>
    <tit|Jevons paradox \V rebound phenomenon>

    \;

    <unroll|<\shown>
      <\compressed>
        Computers have become 10<rsup|15> times more efficient during last 80
        years

        Why does the ICT industry continue to require more
        power<space|0.6spc>?<vspace|1fn>
      </compressed>
    </shown>|<\hidden*>
      <\itemize>
        <unroll|<\shown>
          <item><math|2\<times\>> more efficient technology may attract
          <math|4\<times\>> more users
        </shown>|<\hidden*>
          <item><math|2\<times\>> more efficient algorithm may be run on
          <math|4\<times\>> larger example (time)
        </hidden*>|<\hidden*>
          <item>Easier web-based ticket purchasing <math|\<longrightarrow\>>
          more people fly
        </hidden*>>
      </itemize>
    </hidden*>>

    \;
  </hidden>|<\hidden>
    \;

    \;

    <\wide-tabular>
      <tformat|<cwith|1|1|1|1|cell-halign|c>|<table|<row|<\cell>
        <with|frame-recolor|brown|frame-vpadding|1tab|frame-hpadding|1tab|<\black-floral1-frame>
          <tabular*|<tformat|<table|<row|<cell|<huge|<with|color|#fa6|Part
          II>>>>|<row|<cell|>>|<row|<cell|<with|color|#ffa|<large|Energy
          efficiency \V which problems ?>>>>>>>
        </black-floral1-frame>>
      </cell>>>>
    </wide-tabular>

    \;
  </hidden>|<\hidden>
    <tit|Digression \V analogy with ecology>

    <\wide-tabular>
      <tformat|<cwith|1|1|1|-1|cell-halign|c>|<table|<row|<\cell>
        <image|barrau.jpg||9cm||>
      </cell>|<\cell>
        <image|hypothese-k.jpg||9cm||>
      </cell>>>>
    </wide-tabular>
  </hidden>|<\hidden>
    <tit|Some observations>

    \;

    <\itemize>
      <unroll|<\shown>
        <item>There is no climate crisis
      </shown>|<\hidden*>
        <item>We are in the middle of a <strong|civilizational catastrophe>
      </hidden*>|<\hidden*>
        <item>We are in the middle of the <strong|greatest mass extinction>
        on earth
      </hidden*>|<\hidden*>
        <item>We killed 70<space|0.2spc>% of wildlife population between 1970
        and 2018
      </hidden*>|<\hidden*>
        <item>We killed 60<space|0.2spc>% of bee population in France since
        1990
      </hidden*>|<\hidden*>
        <item>We created a continent of plastic at the bottom of the oceans
      </hidden*>|<\hidden*>
        <item><math|\<cdots\>>
      </hidden*>>
    </itemize>
  </hidden>|<\hidden>
    <tit|Quiz for deniers>

    \;

    We killed 70% of wildlife. Your opinion<space|0.6spc>?

    <\indent>
      <\compressed>
        <math|\<box\>><space|1em>Cool, we are on a good track

        <math|\<box\>><space|1em>You are lying

        <math|\<box\>><space|1em>Maybe start doing something about it?
      </compressed>
    </indent>
  </hidden>|<\hidden>
    <tit|What do we <strong|WANT><space|0.6spc>?>

    \;

    <\compressed>
      <unroll|<\shown>
        A <with|color|green|green> fully recyclable bomb, is that a desirable
        thing<space|0.6spc>?<vspace|1fn>
      </shown>|<\hidden*>
        If something is technologically <strong|possible>, do we
        automatically <strong|want> it<space|0.6spc>?<vspace|1fn>
      </hidden*>|<\hidden*>
        We can eradicate wild animals or eat them all. Do we <strong|want>
        that?<vspace|1fn>
      </hidden*>|<\hidden*>
        Should sciencists be auxiliaries for politicians and businessmen
      </hidden*>|<\hidden*>
        <text-dots> or truly disruptive and out of the box if needed,
        politically included<space|0.6spc>?<vspace|1fn>
      </hidden*>|<\hidden*>
        Reinject poetry into science?
      </hidden*>>
    </compressed>
  </hidden>|<\hidden>
    <tit|Addicted or autistic ?>

    <htab|5mm><image|smartphone-1.jpg||10cm||><htab|5mm>
  </hidden>|<\hidden>
    <tit|Intelligent map of Us All>

    <with|gr-mode|point|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|1par|0.426083par|center>|<graphics||<point|-5.60365|1.57597>|<point|-6.24931|1.27566>|<point|-5.40845|0.9153>|<point|-6.12918|0.359737>|<point|-6.32438|0.870254>|<point|-5.91897|0.675056>|<point|-5.00304|-0.255887>|<point|-5.91897|-0.270902>|<point|-5.34839|0.164539>|<point|-4.11715|0.870254>|<point|-4.85289|0.524904>|<point|-4.97301|1.53092>|<point|-3.84687|-0.165796>|<point|-2.75074|0.539919>|<point|-3.24625|2.01141>|<point|-5.0631|3.04744>|<point|-8.12621|-0.345978>|<point|-6.83488|-0.796435>|<point|-7.40546|-1.65232>|<point|-5.10815|-1.6373>|<point|-5.6487|-0.796435>|<point|-4.04207|-1.90758>|<point|-3.71173|-1.29195>|<point|-4.62766|0.314691>|<point|-2.28527|-0.81145>|<point|-2.48047|-1.84752>|<point|-0.918905|-2.08776>|<point|-0.93392|-2.28296>|<point|-1.62462|-3.46914>|<point|-2.97597|-3.40908>|<point|-2.3153|-2.53822>|<point|0.10213|-3.58926>|<point|0.552586|-2.76343>|<point|-0.153129|-2.97364>|<point|0.642678|-3.21388>|<point|0.177206|-3.09376>|<point|0.0120386|-2.49317>|<point|0.432465|-2.29797>|<point|1.00304|-2.46314>|<point|1.0631|-2.86853>|<point|1.09313|-3.31899>|<point|0.597632|-3.5292>|<point|0.717754|-2.28296>|<point|0.222252|-2.67335>|<point|2.51958|-0.81145>|<point|1.33338|-0.165796>|<point|1.40845|-1.48715>|<point|3.09016|-1.71238>|<point|0.147176|-0.901541>|<point|2.27934|-1.98265>|<point|1.84389|-0.721359>|<point|3.61569|0.765148>|<point|4.29137|0.179554>|<point|3.60067|-0.616252>|<point|5.29739|-1.15682>|<point|7.62477|1.44083>|<point|5.76288|2.43184>|<point|4.7118|2.82222>|<point|6.54367|3.24264>|<point|6.54367|3.24264>|<point|7.00914|2.73212>|<point|7.12927|3.33275>|<point|6.75389|3.6781>|<point|8.21036|3.70813>|<point|6.90404|3.70813>|<point|7.30945|3.78321>|<point|7.36951|3.54296>|<point|7.66981|3.36278>|<point|7.24939|2.86726>|<point|7.97012|2.74714>|<point|7.32446|2.28168>|<point|8.10526|2.11652>|<point|7.48963|2.5069>|<point|8.88603|2.67206>|<point|6.48361|2.17658>|<point|5.53765|0.0894629>|<point|6.18331|1.50089>|<point|5.2073|1.62101>|<point|7.48963|0.2246>|<point|8.79594|1.18557>|<point|8.36051|1.8012>|<point|8.94609|-2.53822>|<point|7.51966|-2.56825>|<point|8.31547|-2.91358>|<point|8.25541|-1.96764>|<point|8.36051|-2.43311>|<point|8.76591|-2.11779>|<point|9.48664|-2.2229>|<point|9.12627|-2.2229>|<point|9.21636|-2.86853>|<point|8.73589|-2.95863>|<point|8.25541|-3.69437>|<point|8.18033|-3.15382>|<point|7.18933|-3.15382>|<point|7.85|-3.7244>|<point|7.62477|-3.27394>|<point|9.36652|-3.78446>|<point|9.63679|-2.97364>|<point|10.2824|-3.76945>|<point|8.70586|-4.30999>|<point|5.82294|-4.67036>|<point|5.55267|-3.28896>|<point|6.90404|-4.00969>|<point|6.21334|-2.17785>|<point|6.64878|-1.56223>|<point|-0.108083|2.74714>|<point|-0.858844|1.26065>|<point|2.00906|1.05044>|<point|1.7538|2.35676>|<point|-10.3935|-2.31299>|<point|-7.19525|-4.1148>|<point|-8.35144|-2.29797>|<point|-9.59768|-3.84452>|<point|-6.18924|-2.97364>|<point|-5.10815|-4.03972>|<point|-6.87993|1.66606>|<point|-5.90396|2.25165>|<point|-5.7538|1.26065>|<point|-6.42949|2.22162>|<point|-7.88596|2.44685>|<point|-9.52261|4.05348>>>
  </hidden>|<\hidden>
    <tit|Social media and Us All>

    <anim-static|<morph|<tuple|0|<with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|1par|0.426083par|center>|<graphics||<with|anim-id|+SgVKdbUAROp1JU|<point|-5.60365|1.57597>>|<with|anim-id|+SgVKdbUAROp1JV|<point|-6.24931|1.27566>>|<with|anim-id|+SgVKdbUAROp1JW|<point|-5.40845|0.9153>>|<with|anim-id|+SgVKdbUAROp1JX|<point|-6.12918|0.359737>>|<with|anim-id|+SgVKdbUAROp1JY|<point|-6.32438|0.870254>>|<with|anim-id|+SgVKdbUAROp1JZ|<point|-5.91897|0.675056>>|<with|anim-id|+SgVKdbUAROp1Ja|<point|-5.00304|-0.255887>>|<with|anim-id|+SgVKdbUAROp1Jb|<point|-5.91897|-0.270902>>|<with|anim-id|+SgVKdbUAROp1Jc|<point|-5.34839|0.164539>>|<with|anim-id|+SgVKdbUAROp1Jd|<point|-4.11715|0.870254>>|<with|anim-id|+SgVKdbUAROp1Je|<point|-4.85289|0.524904>>|<with|anim-id|+SgVKdbUAROp1Jf|<point|-4.97301|1.53092>>|<with|anim-id|+SgVKdbUAROp1Jg|<point|-3.84687|-0.165796>>|<with|anim-id|+SgVKdbUAROp1Jh|<point|-2.75074|0.539919>>|<with|anim-id|+SgVKdbUAROp1Ji|<point|-3.24625|2.01141>>|<with|anim-id|+SgVKdbUAROp1Jj|<point|-5.0631|3.04744>>|<with|anim-id|+SgVKdbUAROp1Jk|<point|-8.12621|-0.345978>>|<with|anim-id|+SgVKdbUAROp1Jl|<point|-6.83488|-0.796435>>|<with|anim-id|+SgVKdbUAROp1Jm|<point|-7.40546|-1.65232>>|<with|anim-id|+SgVKdbUAROp1Jn|<point|-5.10815|-1.6373>>|<with|anim-id|+SgVKdbUAROp1Jo|<point|-5.6487|-0.796435>>|<with|anim-id|+SgVKdbUAROp1Jp|<point|-4.04207|-1.90758>>|<with|anim-id|+SgVKdbUAROp1Jq|<point|-3.71173|-1.29195>>|<with|anim-id|+SgVKdbUAROp1Jr|<point|-4.62766|0.314691>>|<with|anim-id|+SgVKdbUAROp1Js|<point|-2.28527|-0.81145>>|<with|anim-id|+SgVKdbUAROp1Jt|<point|-2.48047|-1.84752>>|<with|anim-id|+SgVKdbUAROp1Ju|<point|-0.918905|-2.08776>>|<with|anim-id|+SgVKdbUAROp1Jv|<point|-0.93392|-2.28296>>|<with|anim-id|+SgVKdbUAROp1Jw|<point|-1.62462|-3.46914>>|<with|anim-id|+SgVKdbUAROp1Jx|<point|-2.97597|-3.40908>>|<with|anim-id|+SgVKdbUAROp1Jy|<point|-2.3153|-2.53822>>|<with|anim-id|+SgVKdbUAROp1Jz|<point|0.10213|-3.58926>>|<with|anim-id|+SgVKdbUAROp1K0|<point|0.552586|-2.76343>>|<with|anim-id|+SgVKdbUAROp1K1|<point|-0.153129|-2.97364>>|<with|anim-id|+SgVKdbUAROp1K2|<point|0.642678|-3.21388>>|<with|anim-id|+SgVKdbUAROp1K3|<point|0.177206|-3.09376>>|<with|anim-id|+SgVKdbUAROp1K4|<point|0.0120386|-2.49317>>|<with|anim-id|+SgVKdbUAROp1K5|<point|0.432465|-2.29797>>|<with|anim-id|+SgVKdbUAROp1K6|<point|1.00304|-2.46314>>|<with|anim-id|+SgVKdbUAROp1K7|<point|1.0631|-2.86853>>|<with|anim-id|+SgVKdbUAROp1K8|<point|1.09313|-3.31899>>|<with|anim-id|+SgVKdbUAROp1K9|<point|0.597632|-3.5292>>|<with|anim-id|+SgVKdbUAROp1KA|<point|0.717754|-2.28296>>|<with|anim-id|+SgVKdbUAROp1KB|<point|0.222252|-2.67335>>|<with|anim-id|+SgVKdbUAROp1KC|<point|2.51958|-0.81145>>|<with|anim-id|+SgVKdbUAROp1KD|<point|1.33338|-0.165796>>|<with|anim-id|+SgVKdbUAROp1KE|<point|1.40845|-1.48715>>|<with|anim-id|+SgVKdbUAROp1KF|<point|3.09016|-1.71238>>|<with|anim-id|+SgVKdbUAROp1KG|<point|0.147176|-0.901541>>|<with|anim-id|+SgVKdbUAROp1KH|<point|2.27934|-1.98265>>|<with|anim-id|+SgVKdbUAROp1KI|<point|1.84389|-0.721359>>|<with|anim-id|+SgVKdbUAROp1KJ|<point|3.61569|0.765148>>|<with|anim-id|+SgVKdbUAROp1KK|<point|4.29137|0.179554>>|<with|anim-id|+SgVKdbUAROp1KL|<point|3.60067|-0.616252>>|<with|anim-id|+SgVKdbUAROp1KM|<point|5.29739|-1.15682>>|<with|anim-id|+SgVKdbUAROp1KN|<point|7.62477|1.44083>>|<with|anim-id|+SgVKdbUAROp1KO|<point|5.76288|2.43184>>|<with|anim-id|+SgVKdbUAROp1KP|<point|4.7118|2.82222>>|<with|anim-id|+SgVKdbUAROp1KQ|<point|6.54367|3.24264>>|<with|anim-id|+SgVKdbUAROp1KR|<point|6.54367|3.24264>>|<with|anim-id|+SgVKdbUAROp1KS|<point|7.00914|2.73212>>|<with|anim-id|+SgVKdbUAROp1KT|<point|7.12927|3.33275>>|<with|anim-id|+SgVKdbUAROp1KU|<point|6.75389|3.6781>>|<with|anim-id|+SgVKdbUAROp1KV|<point|8.21036|3.70813>>|<with|anim-id|+SgVKdbUAROp1KW|<point|6.90404|3.70813>>|<with|anim-id|+SgVKdbUAROp1KX|<point|7.30945|3.78321>>|<with|anim-id|+SgVKdbUAROp1KY|<point|7.36951|3.54296>>|<with|anim-id|+SgVKdbUAROp1KZ|<point|7.66981|3.36278>>|<with|anim-id|+SgVKdbUAROp1Ka|<point|7.24939|2.86726>>|<with|anim-id|+SgVKdbUAROp1Kb|<point|7.97012|2.74714>>|<with|anim-id|+SgVKdbUAROp1Kc|<point|7.32446|2.28168>>|<with|anim-id|+SgVKdbUAROp1Kd|<point|8.10526|2.11652>>|<with|anim-id|+SgVKdbUAROp1Ke|<point|7.48963|2.5069>>|<with|anim-id|+SgVKdbUAROp1Kf|<point|8.88603|2.67206>>|<with|anim-id|+SgVKdbUAROp1Kg|<point|6.48361|2.17658>>|<with|anim-id|+SgVKdbUAROp1Kh|<point|5.53765|0.0894629>>|<with|anim-id|+SgVKdbUAROp1Ki|<point|6.18331|1.50089>>|<with|anim-id|+SgVKdbUAROp1Kj|<point|5.2073|1.62101>>|<with|anim-id|+SgVKdbUAROp1Kk|<point|7.48963|0.2246>>|<with|anim-id|+SgVKdbUAROp1Kl|<point|8.79594|1.18557>>|<with|anim-id|+SgVKdbUAROp1Km|<point|8.36051|1.8012>>|<with|anim-id|+SgVKdbUAROp1Kn|<point|8.94609|-2.53822>>|<with|anim-id|+SgVKdbUAROp1Ko|<point|7.51966|-2.56825>>|<with|anim-id|+SgVKdbUAROp1Kp|<point|8.31547|-2.91358>>|<with|anim-id|+SgVKdbUAROp1Kq|<point|8.25541|-1.96764>>|<with|anim-id|+SgVKdbUAROp1Kr|<point|8.36051|-2.43311>>|<with|anim-id|+SgVKdbUAROp1Ks|<point|8.76591|-2.11779>>|<with|anim-id|+SgVKdbUAROp1Kt|<point|9.48664|-2.2229>>|<with|anim-id|+SgVKdbUAROp1Ku|<point|9.12627|-2.2229>>|<with|anim-id|+SgVKdbUAROp1Kv|<point|9.21636|-2.86853>>|<with|anim-id|+SgVKdbUAROp1Kw|<point|8.73589|-2.95863>>|<with|anim-id|+SgVKdbUAROp1Kx|<point|8.25541|-3.69437>>|<with|anim-id|+SgVKdbUAROp1Ky|<point|8.18033|-3.15382>>|<with|anim-id|+SgVKdbUAROp1Kz|<point|7.18933|-3.15382>>|<with|anim-id|+SgVKdbUAROp1L0|<point|7.85|-3.7244>>|<with|anim-id|+SgVKdbUAROp1L1|<point|7.62477|-3.27394>>|<with|anim-id|+SgVKdbUAROp1L2|<point|9.36652|-3.78446>>|<with|anim-id|+SgVKdbUAROp1L3|<point|9.63679|-2.97364>>|<with|anim-id|+SgVKdbUAROp1L4|<point|10.2824|-3.76945>>|<with|anim-id|+SgVKdbUAROp1L5|<point|8.70586|-4.30999>>|<with|anim-id|+SgVKdbUAROp1L6|<point|5.82294|-4.67036>>|<with|anim-id|+SgVKdbUAROp1L7|<point|5.55267|-3.28896>>|<with|anim-id|+SgVKdbUAROp1L8|<point|6.90404|-4.00969>>|<with|anim-id|+SgVKdbUAROp1L9|<point|6.21334|-2.17785>>|<with|anim-id|+SgVKdbUAROp1LA|<point|6.64878|-1.56223>>|<with|anim-id|+SgVKdbUAROp1LB|<point|-0.108083|2.74714>>|<with|anim-id|+SgVKdbUAROp1LC|<point|-0.858844|1.26065>>|<with|anim-id|+SgVKdbUAROp1LD|<point|2.00906|1.05044>>|<with|anim-id|+SgVKdbUAROp1LE|<point|1.7538|2.35676>>|<with|anim-id|+SgVKdbUAROp1LF|<point|-10.3935|-2.31299>>|<with|anim-id|+SgVKdbUAROp1LG|<point|-7.19525|-4.1148>>|<with|anim-id|+SgVKdbUAROp1LH|<point|-8.35144|-2.29797>>|<with|anim-id|+SgVKdbUAROp1LI|<point|-9.59768|-3.84452>>|<with|anim-id|+SgVKdbUAROp1LJ|<point|-6.18924|-2.97364>>|<with|anim-id|+SgVKdbUAROp1LK|<point|-5.10815|-4.03972>>|<with|anim-id|+SgVKdbUAROp1LL|<point|-6.87993|1.66606>>|<with|anim-id|+SgVKdbUAROp1LM|<point|-5.90396|2.25165>>|<with|anim-id|+SgVKdbUAROp1LN|<point|-5.7538|1.26065>>|<with|anim-id|+SgVKdbUAROp1LO|<point|-6.42949|2.22162>>|<with|anim-id|+SgVKdbUAROp1LP|<point|-7.88596|2.44685>>|<with|anim-id|+SgVKdbUAROp1LQ|<point|-9.52261|4.05348>>>>>|<tuple|1|<with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|1par|0.426083par|center>|<graphics||<with|anim-id|+SgVKdbUAROp1JU|<point|-5.60365|1.57597>>|<with|anim-id|+SgVKdbUAROp1JV|<point|-6.24931|1.27566>>|<with|anim-id|+SgVKdbUAROp1JW|<point|-5.40845|0.9153>>|<with|anim-id|+SgVKdbUAROp1JX|<point|-6.12918|0.359737>>|<with|anim-id|+SgVKdbUAROp1JY|<point|-6.32438|0.870254>>|<with|anim-id|+SgVKdbUAROp1JZ|<point|-5.91897|0.675056>>|<with|anim-id|+SgVKdbUAROp1Jb|<point|-5.91897|-0.270902>>|<with|anim-id|+SgVKdbUAROp1Jc|<point|-5.34839|0.164539>>|<with|anim-id|+SgVKdbUAROp1Jz|<point|0.10213|-3.58926>>|<with|anim-id|+SgVKdbUAROp1K0|<point|0.552586|-2.76343>>|<with|anim-id|+SgVKdbUAROp1K1|<point|-0.153129|-2.97364>>|<with|anim-id|+SgVKdbUAROp1K2|<point|0.642678|-3.21388>>|<with|anim-id|+SgVKdbUAROp1K3|<point|0.177206|-3.09376>>|<with|anim-id|+SgVKdbUAROp1K4|<point|0.0120386|-2.49317>>|<with|anim-id|+SgVKdbUAROp1K5|<point|0.432465|-2.29797>>|<with|anim-id|+SgVKdbUAROp1KA|<point|0.717754|-2.28296>>|<with|anim-id|+SgVKdbUAROp1KB|<point|0.222252|-2.67335>>|<with|anim-id|+SgVKdbUAROp1KQ|<point|6.54367|3.24264>>|<with|anim-id|+SgVKdbUAROp1KR|<point|6.54367|3.24264>>|<with|anim-id|+SgVKdbUAROp1KS|<point|7.00914|2.73212>>|<with|anim-id|+SgVKdbUAROp1KT|<point|7.12927|3.33275>>|<with|anim-id|+SgVKdbUAROp1KU|<point|6.75389|3.6781>>|<with|anim-id|+SgVKdbUAROp1KW|<point|6.90404|3.70813>>|<with|anim-id|+SgVKdbUAROp1KX|<point|7.30945|3.78321>>|<with|anim-id|+SgVKdbUAROp1KY|<point|7.36951|3.54296>>|<with|anim-id|+SgVKdbUAROp1KZ|<point|7.66981|3.36278>>|<with|anim-id|+SgVKdbUAROp1Ka|<point|7.24939|2.86726>>|<with|anim-id|+SgVKdbUAROp1Kb|<point|7.97012|2.74714>>|<with|anim-id|+SgVKdbUAROp1Kc|<point|7.32446|2.28168>>|<with|anim-id|+SgVKdbUAROp1Ke|<point|7.48963|2.5069>>|<with|anim-id|+SgVKdbUAROp1Kg|<point|6.48361|2.17658>>|<with|anim-id|+SgVKdbUAROp1Kn|<point|8.94609|-2.53822>>|<with|anim-id|+SgVKdbUAROp1Ko|<point|7.51966|-2.56825>>|<with|anim-id|+SgVKdbUAROp1Kp|<point|8.31547|-2.91358>>|<with|anim-id|+SgVKdbUAROp1Kr|<point|8.36051|-2.43311>>|<with|anim-id|+SgVKdbUAROp1Ks|<point|8.76591|-2.11779>>|<with|anim-id|+SgVKdbUAROp1Ku|<point|9.12627|-2.2229>>|<with|anim-id|+SgVKdbUAROp1Kv|<point|9.21636|-2.86853>>|<with|anim-id|+SgVKdbUAROp1Kw|<point|8.73589|-2.95863>>|<with|anim-id|+SgVKdbUAROp1Kx|<point|8.25541|-3.69437>>|<with|anim-id|+SgVKdbUAROp1Ky|<point|8.18033|-3.15382>>|<with|anim-id|+SgVKdbUAROp1L0|<point|7.85|-3.7244>>|<with|anim-id|+SgVKdbUAROp1L1|<point|7.62477|-3.27394>>|<with|anim-id|+SgVKdbUAROp1LN|<point|-5.7538|1.26065>>|<with|anim-id|+SgVKdbUAROp1LP|<point|-6.955|0.97536>>|<with|anim-id|+SgVKdbUAROp1Jm|<point|-6.3394|-0.451085>>|<with|anim-id|+SgVKdbUAROp1Jk|<point|-6.30937|0.0744477>>|<with|anim-id|+SgVKdbUAROp1Jn|<point|-5.81386|0.119493>>|<with|anim-id|+SgVKdbUAROp1Jp|<point|-5.60365|0.59998>>|<with|anim-id|+SgVKdbUAROp1Jq|<point|-5.61867|0.389767>>|<with|anim-id|+SgVKdbUAROp1Jg|<point|-5.30335|0.59998>>|<with|anim-id|+SgVKdbUAROp1Jh|<point|-5.15319|0.870254>>|<with|anim-id|+SgVKdbUAROp1Ji|<point|-6.50456|0.494874>>|<with|anim-id|+SgVKdbUAROp1LJ|<point|-5.57362|-0.0907197>>|<with|anim-id|+SgVKdbUAROp1LG|<point|-5.90396|0.870254>>|<with|anim-id|+SgVKdbUAROp1Jx|<point|-5.46851|-0.43607>>|<with|anim-id|+SgVKdbUAROp1Jw|<point|0.10213|-3.34902>>|<with|anim-id|+SgVKdbUAROp1Jy|<point|-0.183159|-2.74841>>|<with|anim-id|+SgVKdbUAROp1K9|<point|0.552586|-2.76343>>|<with|anim-id|+SgVKdbUAROp1K8|<point|0.552586|-2.76343>>|<with|anim-id|+SgVKdbUAROp1K7|<point|0.312343|-2.86853>>|<with|anim-id|+SgVKdbUAROp1K6|<point|0.492525|-2.49317>>|<with|anim-id|+SgVKdbUAROp1KG|<point|0.207236|-2.23791>>|<with|anim-id|+SgVKdbUAROp1LR|<point|0.207236|-2.23791>>|<with|anim-id|+SgVKdbUAROp1Ju|<point|0.177206|-3.09376>>|<with|anim-id|+SgVKdbUAROp1Jv|<point|0.312343|-2.86853>>|<with|anim-id|+SgVKdbUAROp1Jt|<point|-0.00297658|-2.7184>>|<with|anim-id|+SgVKdbUAROp1LC|<point|0.417449|-1.98265>>|<with|anim-id|+SgVKdbUAROp1LS|<point|0.432465|-2.29797>>|<with|anim-id|+SgVKdbUAROp1LB|<point|-0.00297658|-2.01268>>|<with|anim-id|+SgVKdbUAROp1Js|<point|0.0120386|-2.49317>>|<with|anim-id|+SgVKdbUAROp1Jd|<point|-4.91295|0.97536>>|<with|anim-id|+SgVKdbUAROp1LQ|<point|-6.6397|1.03542>>|<with|anim-id|+SgVKdbUAROp1LO|<point|-5.97903|1.48588>>|<with|anim-id|+SgVKdbUAROp1LM|<point|-6.38444|1.45585>>|<with|anim-id|+SgVKdbUAROp1LF|<point|-6.77484|0.59998>>|<with|anim-id|+SgVKdbUAROp1LI|<point|-5.949|-0.49613>>|<with|anim-id|+SgVKdbUAROp1KE|<point|0.702738|-2.01268>>|<with|anim-id|+SgVKdbUAROp1KI|<point|0.747784|-2.89856>>|<with|anim-id|+SgVKdbUAROp1KH|<point|0.807845|-2.58326>>|<with|anim-id|+SgVKdbUAROp1KD|<point|-0.123098|-2.328>>|<with|anim-id|+SgVKdbUAROp1KC|<point|1.03307|-2.37305>>|<with|anim-id|+SgVKdbUAROp1KF|<point|0.957997|-2.17785>>|<with|anim-id|+SgVKdbUAROp1LE|<point|0.237267|-1.77244>>|<with|anim-id|+SgVKdbUAROp1LD|<point|6.55869|2.74714>>|<with|anim-id|+SgVKdbUAROp1KJ|<point|6.34848|2.95735>>|<with|anim-id|+SgVKdbUAROp1KL|<point|1.2583|-2.14782>>|<with|anim-id|+SgVKdbUAROp1KM|<point|1.04809|-2.7334>>|<with|anim-id|+SgVKdbUAROp1L9|<point|7.91006|-2.65834>>|<with|anim-id|+SgVKdbUAROp1L4|<point|8.48064|-3.28896>>|<with|anim-id|+SgVKdbUAROp1L6|<point|8.55571|-2.59828>>|<with|anim-id|+SgVKdbUAROp1L5|<point|8.5407|-3.0337>>|<with|anim-id|+SgVKdbUAROp1L2|<point|8.24039|-3.40908>>|<with|anim-id|+SgVKdbUAROp1L7|<point|8.00015|-2.86853>>|<with|anim-id|+SgVKdbUAROp1Kt|<point|8.18033|-2.59828>>|<with|anim-id|+SgVKdbUAROp1L8|<point|8.00015|-3.31899>>|<with|anim-id|+SgVKdbUAROp1LA|<point|7.85|-2.95863>>|<with|anim-id|+SgVKdbUAROp1Kz|<point|8.55571|-2.59828>>|<with|anim-id|+SgVKdbUAROp1L3|<point|8.76591|-2.76343>>|<with|anim-id|+SgVKdbUAROp1Kq|<point|8.06021|-2.35803>>|<with|anim-id|+SgVKdbUAROp1KK|<point|6.97911|2.49188>>|<with|anim-id|+SgVKdbUAROp1Kj|<point|6.94908|2.20661>>|<with|anim-id|+SgVKdbUAROp1KO|<point|6.67881|2.55194>>|<with|anim-id|+SgVKdbUAROp1KP|<point|6.87401|3.01741>>|<with|anim-id|+SgVKdbUAROp1KV|<point|7.59474|3.0024>>|<with|anim-id|+SgVKdbUAROp1Kf|<point|7.63978|2.83723>>|<with|anim-id|+SgVKdbUAROp1Ki|<point|7.35449|3.1976>>|<with|anim-id|+SgVKdbUAROp1Kd|<point|6.31844|2.58197>>|<with|anim-id|+SgVKdbUAROp1Km|<point|6.33346|3.46789>>|<with|anim-id|+SgVKdbUAROp1KN|<point|6.85899|3.46789>>|<with|anim-id|+SgVKdbUAROp1Kl|<point|6.21334|3.27267>>|<with|anim-id|+SgVKdbUAROp1Kk|<point|7.27942|2.64203>>|<with|anim-id|+SgVKdbUAROp1Kh|<point|7.14428|3.07747>>|<with|anim-id|+SgVKdbUAROp1Jl|<point|-5.61866649027649|0.930314856462495>>|<with|anim-id|+SgVKdbUAROp1Jj|<point|-6.20425982272787|-0.210841381135071>>|<with|anim-id|+SgVKdbUAROp1LK|<point|-5.87392512237068|0.494873660537108>>|<with|anim-id|+SgVKdbUAROp1Jr|<point|-6.12918375446488|0.569949728800106>>|<with|anim-id|+SgVKdbUAROp1LL|<point|-6.56462495039026|0.209584601137717>>|<with|anim-id|+SgVKdbUAROp1LH|<point|-6.05410768620188|0.0894628919169202>>|<with|anim-id|+SgVKdbUAROp1Jo|<point|-5.4985447810557|1.23061912951449>>|<with|anim-id|+SgVKdbUAROp1Jf|<point|-5.2432861489615|1.27566477047228>>|<with|anim-id|+SgVKdbUAROp1Ja|<point|-5.3033470035719|-0.165795740177272>>|<with|anim-id|+SgVKdbUAROp1Je|<point|-6.33939674560127|0.524904087842307>>>>>>|6s|0.1s|6.0s>
  </hidden>|<\hidden>
    <tit|Logical truth>

    <with|gr-mode|<tuple|edit|text-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|1par|0.426083par|center>|<graphics||<with|anim-id|+SgVKdbUAROp1JU|<point|-5.60365|1.57597>>|<with|anim-id|+SgVKdbUAROp1JV|<point|-6.24931|1.27566>>|<with|anim-id|+SgVKdbUAROp1JW|<point|-5.40845|0.9153>>|<with|anim-id|+SgVKdbUAROp1JX|<point|-6.12918|0.359737>>|<with|anim-id|+SgVKdbUAROp1JY|<point|-6.32438|0.870254>>|<with|anim-id|+SgVKdbUAROp1JZ|<point|-5.91897|0.675056>>|<with|anim-id|+SgVKdbUAROp1Jb|<point|-5.91897|-0.270902>>|<with|anim-id|+SgVKdbUAROp1Jc|<point|-5.34839|0.164539>>|<with|anim-id|+SgVKdbUAROp1Jz|<point|0.10213|-3.58926>>|<with|anim-id|+SgVKdbUAROp1K0|<point|0.552586|-2.76343>>|<with|anim-id|+SgVKdbUAROp1K1|<point|-0.153129|-2.97364>>|<with|anim-id|+SgVKdbUAROp1K2|<point|0.642678|-3.21388>>|<with|anim-id|+SgVKdbUAROp1K3|<point|0.177206|-3.09376>>|<with|anim-id|+SgVKdbUAROp1K4|<point|0.0120386|-2.49317>>|<with|anim-id|+SgVKdbUAROp1K5|<point|0.432465|-2.29797>>|<with|anim-id|+SgVKdbUAROp1KA|<point|0.717754|-2.28296>>|<with|anim-id|+SgVKdbUAROp1KB|<point|0.222252|-2.67335>>|<with|anim-id|+SgVKdbUAROp1KQ|<point|6.54367|3.24264>>|<with|anim-id|+SgVKdbUAROp1KR|<point|6.54367|3.24264>>|<with|anim-id|+SgVKdbUAROp1KS|<point|7.00914|2.73212>>|<with|anim-id|+SgVKdbUAROp1KT|<point|7.12927|3.33275>>|<with|anim-id|+SgVKdbUAROp1KU|<point|6.75389|3.6781>>|<with|anim-id|+SgVKdbUAROp1KW|<point|6.90404|3.70813>>|<with|anim-id|+SgVKdbUAROp1KX|<point|7.30945|3.78321>>|<with|anim-id|+SgVKdbUAROp1KY|<point|7.36951|3.54296>>|<with|anim-id|+SgVKdbUAROp1KZ|<point|7.66981|3.36278>>|<with|anim-id|+SgVKdbUAROp1Ka|<point|7.24939|2.86726>>|<with|anim-id|+SgVKdbUAROp1Kb|<point|7.97012|2.74714>>|<with|anim-id|+SgVKdbUAROp1Kc|<point|7.32446|2.28168>>|<with|anim-id|+SgVKdbUAROp1Ke|<point|7.48963|2.5069>>|<with|anim-id|+SgVKdbUAROp1Kg|<point|6.48361|2.17658>>|<with|anim-id|+SgVKdbUAROp1Kn|<point|8.94609|-2.53822>>|<with|anim-id|+SgVKdbUAROp1Ko|<point|7.51966|-2.56825>>|<with|anim-id|+SgVKdbUAROp1Kp|<point|8.31547|-2.91358>>|<with|anim-id|+SgVKdbUAROp1Kr|<point|8.36051|-2.43311>>|<with|anim-id|+SgVKdbUAROp1Ks|<point|8.76591|-2.11779>>|<with|anim-id|+SgVKdbUAROp1Ku|<point|9.12627|-2.2229>>|<with|anim-id|+SgVKdbUAROp1Kv|<point|9.21636|-2.86853>>|<with|anim-id|+SgVKdbUAROp1Kw|<point|8.73589|-2.95863>>|<with|anim-id|+SgVKdbUAROp1Kx|<point|8.25541|-3.69437>>|<with|anim-id|+SgVKdbUAROp1Ky|<point|8.18033|-3.15382>>|<with|anim-id|+SgVKdbUAROp1L0|<point|7.85|-3.7244>>|<with|anim-id|+SgVKdbUAROp1L1|<point|7.62477|-3.27394>>|<with|anim-id|+SgVKdbUAROp1LN|<point|-5.7538|1.26065>>|<with|anim-id|+SgVKdbUAROp1LP|<point|-6.955|0.97536>>|<with|anim-id|+SgVKdbUAROp1Jm|<point|-6.3394|-0.451085>>|<with|anim-id|+SgVKdbUAROp1Jk|<point|-6.30937|0.0744477>>|<with|anim-id|+SgVKdbUAROp1Jn|<point|-5.81386|0.119493>>|<with|anim-id|+SgVKdbUAROp1Jp|<point|-5.60365|0.59998>>|<with|anim-id|+SgVKdbUAROp1Jq|<point|-5.61867|0.389767>>|<with|anim-id|+SgVKdbUAROp1Jg|<point|-5.30335|0.59998>>|<with|anim-id|+SgVKdbUAROp1Jh|<point|-5.15319|0.870254>>|<with|anim-id|+SgVKdbUAROp1Ji|<point|-6.50456|0.494874>>|<with|anim-id|+SgVKdbUAROp1LJ|<point|-5.57362|-0.0907197>>|<with|anim-id|+SgVKdbUAROp1LG|<point|-5.90396|0.870254>>|<with|anim-id|+SgVKdbUAROp1Jx|<point|-5.46851|-0.43607>>|<with|anim-id|+SgVKdbUAROp1Jw|<point|0.10213|-3.34902>>|<with|anim-id|+SgVKdbUAROp1Jy|<point|-0.183159|-2.74841>>|<with|anim-id|+SgVKdbUAROp1K9|<point|0.552586|-2.76343>>|<with|anim-id|+SgVKdbUAROp1K8|<point|0.552586|-2.76343>>|<with|anim-id|+SgVKdbUAROp1K7|<point|0.312343|-2.86853>>|<with|anim-id|+SgVKdbUAROp1K6|<point|0.492525|-2.49317>>|<with|anim-id|+SgVKdbUAROp1KG|<point|0.207236|-2.23791>>|<with|anim-id|+SgVKdbUAROp1LR|<point|0.207236|-2.23791>>|<with|anim-id|+SgVKdbUAROp1Ju|<point|0.177206|-3.09376>>|<with|anim-id|+SgVKdbUAROp1Jv|<point|0.312343|-2.86853>>|<with|anim-id|+SgVKdbUAROp1Jt|<point|-0.00297658|-2.7184>>|<with|anim-id|+SgVKdbUAROp1LC|<point|0.417449|-1.98265>>|<with|anim-id|+SgVKdbUAROp1LS|<point|0.432465|-2.29797>>|<with|anim-id|+SgVKdbUAROp1LB|<point|-0.00297658|-2.01268>>|<with|anim-id|+SgVKdbUAROp1Js|<point|0.0120386|-2.49317>>|<with|anim-id|+SgVKdbUAROp1Jd|<point|-4.91295|0.97536>>|<with|anim-id|+SgVKdbUAROp1LQ|<point|-6.6397|1.03542>>|<with|anim-id|+SgVKdbUAROp1LO|<point|-5.97903|1.48588>>|<with|anim-id|+SgVKdbUAROp1LM|<point|-6.38444|1.45585>>|<with|anim-id|+SgVKdbUAROp1LF|<point|-6.77484|0.59998>>|<with|anim-id|+SgVKdbUAROp1LI|<point|-5.949|-0.49613>>|<with|anim-id|+SgVKdbUAROp1KE|<point|0.702738|-2.01268>>|<with|anim-id|+SgVKdbUAROp1KI|<point|0.747784|-2.89856>>|<with|anim-id|+SgVKdbUAROp1KH|<point|0.807845|-2.58326>>|<with|anim-id|+SgVKdbUAROp1KD|<point|-0.123098|-2.328>>|<with|anim-id|+SgVKdbUAROp1KC|<point|1.03307|-2.37305>>|<with|anim-id|+SgVKdbUAROp1KF|<point|0.957997|-2.17785>>|<with|anim-id|+SgVKdbUAROp1LE|<point|0.237267|-1.77244>>|<with|anim-id|+SgVKdbUAROp1LD|<point|6.55869|2.74714>>|<with|anim-id|+SgVKdbUAROp1KJ|<point|6.34848|2.95735>>|<with|anim-id|+SgVKdbUAROp1KL|<point|1.2583|-2.14782>>|<with|anim-id|+SgVKdbUAROp1KM|<point|1.04809|-2.7334>>|<with|anim-id|+SgVKdbUAROp1L9|<point|7.91006|-2.65834>>|<with|anim-id|+SgVKdbUAROp1L4|<point|8.48064|-3.28896>>|<with|anim-id|+SgVKdbUAROp1L6|<point|8.55571|-2.59828>>|<with|anim-id|+SgVKdbUAROp1L5|<point|8.5407|-3.0337>>|<with|anim-id|+SgVKdbUAROp1L2|<point|8.24039|-3.40908>>|<with|anim-id|+SgVKdbUAROp1L7|<point|8.00015|-2.86853>>|<with|anim-id|+SgVKdbUAROp1Kt|<point|8.18033|-2.59828>>|<with|anim-id|+SgVKdbUAROp1L8|<point|8.00015|-3.31899>>|<with|anim-id|+SgVKdbUAROp1LA|<point|7.85|-2.95863>>|<with|anim-id|+SgVKdbUAROp1Kz|<point|8.55571|-2.59828>>|<with|anim-id|+SgVKdbUAROp1L3|<point|8.76591|-2.76343>>|<with|anim-id|+SgVKdbUAROp1Kq|<point|8.06021|-2.35803>>|<with|anim-id|+SgVKdbUAROp1KK|<point|6.97911|2.49188>>|<with|anim-id|+SgVKdbUAROp1Kj|<point|6.94908|2.20661>>|<with|anim-id|+SgVKdbUAROp1KO|<point|6.67881|2.55194>>|<with|anim-id|+SgVKdbUAROp1KP|<point|6.87401|3.01741>>|<with|anim-id|+SgVKdbUAROp1KV|<point|7.59474|3.0024>>|<with|anim-id|+SgVKdbUAROp1Kf|<point|7.63978|2.83723>>|<with|anim-id|+SgVKdbUAROp1Ki|<point|7.35449|3.1976>>|<with|anim-id|+SgVKdbUAROp1Kd|<point|6.31844|2.58197>>|<with|anim-id|+SgVKdbUAROp1Km|<point|6.33346|3.46789>>|<with|anim-id|+SgVKdbUAROp1KN|<point|6.85899|3.46789>>|<with|anim-id|+SgVKdbUAROp1Kl|<point|6.21334|3.27267>>|<with|anim-id|+SgVKdbUAROp1Kk|<point|7.27942|2.64203>>|<with|anim-id|+SgVKdbUAROp1Kh|<point|7.14428|3.07747>>|<with|anim-id|+SgVKdbUAROp1Jl|<point|-5.61867|0.930315>>|<with|anim-id|+SgVKdbUAROp1Jj|<point|-6.20426|-0.210841>>|<with|anim-id|+SgVKdbUAROp1LK|<point|-5.87393|0.494874>>|<with|anim-id|+SgVKdbUAROp1Jr|<point|-6.12918|0.56995>>|<with|anim-id|+SgVKdbUAROp1LL|<point|-6.56462|0.209585>>|<with|anim-id|+SgVKdbUAROp1LH|<point|-6.05411|0.0894629>>|<with|anim-id|+SgVKdbUAROp1Jo|<point|-5.49854|1.23062>>|<with|anim-id|+SgVKdbUAROp1Jf|<point|-5.24329|1.27566>>|<with|anim-id|+SgVKdbUAROp1Ja|<point|-5.30335|-0.165796>>|<with|anim-id|+SgVKdbUAROp1Je|<point|-6.3394|0.524904>>|<text-at|Earth
    is flat <math|\<Rightarrow\>> drink bleach|<point|-10.7838834501918|2.36332517528774>>|<text-at|Chanel
    + Botox \<gtr\> Zara|<point|3.28535520571504|1.02697116020638>>|<text-at|\<forall\>x,
    x is poor \<Rightarrow\> x cannot cross a
    street|<point|-7.39044516470433|-4.55868831856066>>|<text-at|<with|recolor-color|white|<recolor|<image|god-great.png|3cm|||>>>|<point|8.4506052387882|-4.80549675883053>>>>
  </hidden>|<\hidden>
    <tit|How to take care of the elderly>

    <\itemize>
      <unroll|<\shown>
        \;
      </shown>|<\hidden*>
        <item>Peeing at Utrecht Central Station requires a smartphone
      </hidden*>|<\hidden*>
        <item>No physical banks in the Netherlands except in big cities
      </hidden*>|<\hidden*>
        But they don't allow you to do any money transfers anyhow
      </hidden*>|<\hidden*>
        Mobile Apps bugged, especially when you need them
      </hidden*>|<\hidden*>
        <item>Less and less cash payments in many countries
      </hidden*>|<\hidden*>
        <item>Robots for non-existent after sale
      </hidden*>|<\hidden*>
        AirBnB escalated me up to heaven after judging my passport too blurry
      </hidden*>>
    </itemize>
  </hidden>|<\hidden>
    <tit|IA as a new business model>

    \;

    Let the computer think and humans do the physical work

    <image|deliveroo.png||6cm||><htab|5mm><image|uber.jpg||6cm||>
  </hidden>|<\hidden>
    <tit|Do we <strong|WANT> this ???>

    <with|gr-mode|<tuple|edit|line>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|1par|0.447815par|center>|gr-color|dark
    grey|gr-line-width|2ln|<graphics||<text-at|<image|pippi3.jpg|0.25par|||>|<point|-4.84392776822331|-3.39034594523085>>|<with|color|dark
    grey|<text-at|<rotate|-110|<image|smartphone3.png|0.1par|||>>|<point|3.29431803148565|-1.33575869824051>>>|<with|color|#fa6|<math-at|<rotate|-20|<large|3\<times\>3=<with|color|red|<outline|?>>>>|<point|4.561648366186|-3.06249173171054>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|5.26736|-1.98798>|<point|5.52263857653129|-2.99398068527583>|<point|5.10219605767959|-3.36936102659082>|<point|4.12620717026062|-3.56455880407461>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|5.1022|-3.36936>|<point|5.28237862151078|-3.9849847863474>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|5.56768|-2.99398>|<point|6.22835361820347|-3.50449794946422>|<point|5.70282114036248|-4.1351369228734>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|5.883|-3.26425>|<point|6.46859703664506|-2.43843431670856>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|6.31844|-3.54954>|<point|7.50464677867443|-3.62461965868501>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|6.7689|-3.59459>|<point|6.66379481412885|-4.45045640957799>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|7.11425|-3.62462>|<point|7.03917515544384|-2.69367641222384>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|5.35747|-2.55854>|<point|4.06614631565022|-2.97896547162323>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|4.65174|-3.47447>|<point|4.8018917846276|-2.69367641222384>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|4.81691|-2.67866>|<point|4.42651144331261|-2.13813004365657>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|5.23733|-1.97296>|<point|4.42651144331261|-2.07806918904617>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|4.7118|-2.07807>|<point|4.711800502712|-1.77776491599418>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|5.37249|-2.37837>|<point|6.04817105437227|-2.91890461701283>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|5.73285|-2.72371>|<point|6.13826233628787|-2.28828218018256>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|7.09924|-3.63963>|<point|7.29443378753803|-4.30030427305199>>>|<with|color|dark
    grey|line-width|2ln|<line|<point|6.0782|-2.97897>|<point|7.06920558274904|-3.56455880407461>>>>>
  </hidden>|<\hidden>
    <tit|What should we do?>

    \;

    <\itemize>
      <unroll|<\shown>
        <\compact>
          <item>Be scientific <math|\<longrightarrow\>>

          free software / publications, favor research over projects,
          <text-dots><vspace|1fn>
        </compact>
      </shown>|<\hidden*>
        <\compact>
          <item>Question the \Pnormal\Q

          Not blindly follow money, billionaires, fashion, ICT
          drugs<vspace|1fn>
        </compact>
      </hidden*>|<\hidden*>
        <\compact>
          <item>Inversion of priorities

          Quantum computing or \Pno homeless\Q
        </compact>
      </hidden*>>
    </itemize>
  </hidden>|<\hidden>
    <\center>
      <\with|par-par-sep|0.3333fn>
        <\center>
          <really-huge|<strong|<with|color|orange|Thank you !>>>
        </center>
      </with>

      <tabular|<tformat|<cwith|1|2|1|1|cell-halign|c>|<cwith|1|1|1|1|cell-hyphen|t>|<cwith|1|1|1|1|cell-tsep|0cm>|<table|<row|<\cell>
        <image|Download-TeXmacs.png|0.56par|||>
      </cell>>|<row|<cell|<with|color|#ffa|<verbatim|http://www.<anim-repeat|<anim-compose|<anim-constant|<with|color|orange|T<space|-0.2spc><with|color|orange|<rsub|<with|math-level|0|font-shape|small-caps|e>>>X<space|-0.2spc>><rsub|<with|math-level|0|font-shape|small-caps|ma<space|-0.2spc>cs>>|1sec>|<anim-constant|T<space|-0.2spc><with|color|orange|<rsub|<with|math-level|0|font-shape|small-caps|e>>>X<space|-0.2spc><with|color|orange|<rsub|<with|math-level|0|font-shape|small-caps|ma<space|-0.2spc>cs>>>|1sec>>>.org>>>>>>>
    </center>

    \;
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|font|Fira>
    <associate|font-family|rm>
    <associate|info-flag|none>
    <associate|locus-color|#aaf>
    <associate|magnification|2>
    <associate|ornament-vpadding|1spc>
    <associate|page-bot|-5mm>
    <associate|page-height|auto>
    <associate|page-medium|beamer>
    <associate|page-type|16:9>
    <associate|page-width|auto>
    <associate|preamble|false>
  </collection>
</initial>